/*
 * Recon allows monitoring and recording of data stream trough serial port.
 * Copyright (C) 2008-2009  Linas Žvirblis <0x0007@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package lt.ku.ik.recon.data.content;

import gnu.io.SerialPort;
import lt.ku.ik.recon.logic.model.BaudRate;
import lt.ku.ik.recon.logic.model.CommandFormat;
import lt.ku.ik.recon.logic.model.DataBits;
import lt.ku.ik.recon.logic.model.Parity;
import lt.ku.ik.recon.logic.model.Settings;
import lt.ku.ik.recon.logic.model.StopBits;

/**
 *
 * @author linas
 */
public class SettingsDao {

    Settings settings = new Settings();

    public SettingsDao() {
        settings.setDevice(null);
        settings.setBaudRate(BaudRate.BAUD_115200);
        settings.setDataBits(DataBits.DATABITS_8);
        settings.setStopBits(StopBits.STOPBITS_1);
        settings.setParity(Parity.PARITY_NONE);
        settings.setPrecision(11);
        settings.setChannels(2);
        settings.setStartCommand(115);
        settings.setStopCommand(255);
        settings.setCommandFormat(CommandFormat.DEC);
        settings.setResolutionOfGraph(8000);
    }

    public Settings getSettings() {
        return settings;
    }

    public void setSettings(Settings settings) {

        this.settings.setDevice(settings.getDevice());
        this.settings.setBaudRate(settings.getBaudRate());
        this.settings.setDataBits(settings.getDataBits());
        this.settings.setStopBits(settings.getStopBits());
        this.settings.setParity(settings.getParity());
        this.settings.setPrecision(settings.getPrecision());
        this.settings.setChannels(settings.getChannels());
        this.settings.setStartCommand(settings.getStartCommand());
        this.settings.setStopCommand(settings.getStopCommand());
        this.settings.setCommandFormat(settings.getCommandFormat());
        this.settings.setResolutionOfGraph(settings.getResolutionOfGraph());
    }
}
