/*
 * Recon allows monitoring and recording of data stream trough serial port.
 * Copyright (C) 2008-2009  Linas Žvirblis <0x0007@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * EmotionSketch.java
 *
 * Created on 2008-10-19, 16.43.53
 */

package lt.ku.ik.recon.presentation.gui.widgets;

/**
 *
 * @author linas
 */
public class EmotionSelectorSketch extends javax.swing.JPanel {

    /** Creates new form EmotionSketch */
    public EmotionSelectorSketch() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        emotionSelectorPanel = new javax.swing.JPanel();
        jButtonAngry = new javax.swing.JToggleButton();
        jButtonStressed = new javax.swing.JToggleButton();
        jButtonConfused = new javax.swing.JToggleButton();
        jButtonSatisfied = new javax.swing.JToggleButton();
        jButtonHappy = new javax.swing.JToggleButton();
        jButtonSick = new javax.swing.JToggleButton();
        jButtonUncomfortable = new javax.swing.JToggleButton();
        jButtonNeutral = new javax.swing.JToggleButton();
        jButtonComfortable = new javax.swing.JToggleButton();
        jButtonConfident = new javax.swing.JToggleButton();
        jButtonDepressed = new javax.swing.JToggleButton();
        jButtonTired = new javax.swing.JToggleButton();
        jButtonIndiferent = new javax.swing.JToggleButton();
        jButtonCalm = new javax.swing.JToggleButton();
        jButtonRelaxed = new javax.swing.JToggleButton();

        setMinimumSize(new java.awt.Dimension(0, 0));

        emotionSelectorPanel.setPreferredSize(new java.awt.Dimension(600, 192));
        emotionSelectorPanel.setLayout(new java.awt.GridLayout(3, 5));

        buttonGroup1.add(jButtonAngry);
        jButtonAngry.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-angry.png"))); // NOI18N
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("lt/ku/ik/recon/data/global/Locale"); // NOI18N
        jButtonAngry.setText(bundle.getString("TEXT_ANGRY")); // NOI18N
        jButtonAngry.setToolTipText(bundle.getString("TOOLTIP_ANGRY")); // NOI18N
        jButtonAngry.setActionCommand(bundle.getString("TEXT_ANGRY")); // NOI18N
        jButtonAngry.setAlignmentX(0.5F);
        jButtonAngry.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonAngry.setIconTextGap(2);
        jButtonAngry.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonAngry.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonAngry.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonAngry.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonAngry);

        buttonGroup1.add(jButtonStressed);
        jButtonStressed.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-worried.png"))); // NOI18N
        jButtonStressed.setText(bundle.getString("TEXT_STRESSED")); // NOI18N
        jButtonStressed.setToolTipText(bundle.getString("TOOLTIP_STRESSED")); // NOI18N
        jButtonStressed.setActionCommand(bundle.getString("TEXT_STRESSED")); // NOI18N
        jButtonStressed.setAlignmentX(0.5F);
        jButtonStressed.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonStressed.setIconTextGap(2);
        jButtonStressed.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonStressed.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonStressed.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonStressed.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonStressed);

        buttonGroup1.add(jButtonConfused);
        jButtonConfused.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-embarrassed.png"))); // NOI18N
        jButtonConfused.setText(bundle.getString("TEXT_CONFUSED")); // NOI18N
        jButtonConfused.setToolTipText(bundle.getString("TOOLTIP_CONFUSED")); // NOI18N
        jButtonConfused.setActionCommand(bundle.getString("TEXT_CONFUSED")); // NOI18N
        jButtonConfused.setAlignmentX(0.5F);
        jButtonConfused.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonConfused.setIconTextGap(2);
        jButtonConfused.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonConfused.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonConfused.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonConfused.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonConfused);

        buttonGroup1.add(jButtonSatisfied);
        jButtonSatisfied.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-smile-big.png"))); // NOI18N
        jButtonSatisfied.setText(bundle.getString("TEXT_SATISFIED")); // NOI18N
        jButtonSatisfied.setToolTipText(bundle.getString("TOOLTIP_SATISFIED")); // NOI18N
        jButtonSatisfied.setActionCommand(bundle.getString("TEXT_SATISFIED")); // NOI18N
        jButtonSatisfied.setAlignmentX(0.5F);
        jButtonSatisfied.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonSatisfied.setIconTextGap(2);
        jButtonSatisfied.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonSatisfied.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonSatisfied.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonSatisfied.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonSatisfied);

        buttonGroup1.add(jButtonHappy);
        jButtonHappy.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-laugh.png"))); // NOI18N
        jButtonHappy.setText(bundle.getString("TEXT_HAPPY")); // NOI18N
        jButtonHappy.setToolTipText(bundle.getString("TOOLTIP_HAPPY")); // NOI18N
        jButtonHappy.setActionCommand(bundle.getString("TEXT_HAPPY")); // NOI18N
        jButtonHappy.setAlignmentX(0.5F);
        jButtonHappy.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonHappy.setIconTextGap(2);
        jButtonHappy.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonHappy.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonHappy.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonHappy.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonHappy);

        buttonGroup1.add(jButtonSick);
        jButtonSick.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-sick.png"))); // NOI18N
        jButtonSick.setText(bundle.getString("TEXT_SICK")); // NOI18N
        jButtonSick.setToolTipText(bundle.getString("TOOLTIP_SICK")); // NOI18N
        jButtonSick.setActionCommand(bundle.getString("TEXT_SICK")); // NOI18N
        jButtonSick.setAlignmentX(0.5F);
        jButtonSick.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonSick.setIconTextGap(2);
        jButtonSick.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonSick.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonSick.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonSick.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonSick);

        buttonGroup1.add(jButtonUncomfortable);
        jButtonUncomfortable.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-sad.png"))); // NOI18N
        jButtonUncomfortable.setText(bundle.getString("TEXT_UNCOMFORTABLE")); // NOI18N
        jButtonUncomfortable.setToolTipText(bundle.getString("TOOLTIP_UNCOMFORTABLE")); // NOI18N
        jButtonUncomfortable.setActionCommand(bundle.getString("TEXT_UNCOMFORTABLE")); // NOI18N
        jButtonUncomfortable.setAlignmentX(0.5F);
        jButtonUncomfortable.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonUncomfortable.setIconTextGap(2);
        jButtonUncomfortable.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonUncomfortable.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonUncomfortable.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonUncomfortable.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonUncomfortable);

        buttonGroup1.add(jButtonNeutral);
        jButtonNeutral.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-plain.png"))); // NOI18N
        jButtonNeutral.setSelected(true);
        jButtonNeutral.setText(bundle.getString("TEXT_NEUTRAL")); // NOI18N
        jButtonNeutral.setToolTipText(bundle.getString("TOOLTIP_NEUTRAL")); // NOI18N
        jButtonNeutral.setActionCommand(bundle.getString("TEXT_NEUTRAL")); // NOI18N
        jButtonNeutral.setAlignmentX(0.5F);
        jButtonNeutral.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonNeutral.setIconTextGap(2);
        jButtonNeutral.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonNeutral.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonNeutral.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonNeutral.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonNeutral);

        buttonGroup1.add(jButtonComfortable);
        jButtonComfortable.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-smile.png"))); // NOI18N
        jButtonComfortable.setText(bundle.getString("TEXT_COMFORTABLE")); // NOI18N
        jButtonComfortable.setToolTipText(bundle.getString("TOOLTIP_COMFORTABLE")); // NOI18N
        jButtonComfortable.setActionCommand(bundle.getString("TEXT_COMFORTABLE")); // NOI18N
        jButtonComfortable.setAlignmentX(0.5F);
        jButtonComfortable.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonComfortable.setIconTextGap(2);
        jButtonComfortable.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonComfortable.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonComfortable.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonComfortable.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonComfortable);

        buttonGroup1.add(jButtonConfident);
        jButtonConfident.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-cool.png"))); // NOI18N
        jButtonConfident.setText(bundle.getString("TEXT_CONFIDENT")); // NOI18N
        jButtonConfident.setToolTipText(bundle.getString("TOOLTIP_CONFIDENT")); // NOI18N
        jButtonConfident.setActionCommand(bundle.getString("TEXT_CONFIDENT")); // NOI18N
        jButtonConfident.setAlignmentX(0.5F);
        jButtonConfident.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonConfident.setIconTextGap(2);
        jButtonConfident.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonConfident.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonConfident.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonConfident.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonConfident);

        buttonGroup1.add(jButtonDepressed);
        jButtonDepressed.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-crying.png"))); // NOI18N
        jButtonDepressed.setText(bundle.getString("TEXT_DEPRESSED")); // NOI18N
        jButtonDepressed.setToolTipText(bundle.getString("TOOLTIP_DEPRESSED")); // NOI18N
        jButtonDepressed.setActionCommand(bundle.getString("TEXT_DEPRESSED")); // NOI18N
        jButtonDepressed.setAlignmentX(0.5F);
        jButtonDepressed.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonDepressed.setIconTextGap(2);
        jButtonDepressed.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonDepressed.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonDepressed.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonDepressed.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonDepressed);

        buttonGroup1.add(jButtonTired);
        jButtonTired.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-tired.png"))); // NOI18N
        jButtonTired.setText(bundle.getString("TEXT_TIRED")); // NOI18N
        jButtonTired.setToolTipText(bundle.getString("TOOLTIP_TIRED")); // NOI18N
        jButtonTired.setActionCommand(bundle.getString("TEXT_TIRED")); // NOI18N
        jButtonTired.setAlignmentX(0.5F);
        jButtonTired.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonTired.setIconTextGap(2);
        jButtonTired.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonTired.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonTired.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonTired.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonTired);

        buttonGroup1.add(jButtonIndiferent);
        jButtonIndiferent.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-uncertain.png"))); // NOI18N
        jButtonIndiferent.setText(bundle.getString("TEXT_INDIFERENT")); // NOI18N
        jButtonIndiferent.setToolTipText(bundle.getString("TOOLTIP_INDIFERENT")); // NOI18N
        jButtonIndiferent.setActionCommand(bundle.getString("TOOLTIP_INDIFERENT")); // NOI18N
        jButtonIndiferent.setAlignmentX(0.5F);
        jButtonIndiferent.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonIndiferent.setIconTextGap(2);
        jButtonIndiferent.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonIndiferent.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonIndiferent.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonIndiferent.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonIndiferent);

        buttonGroup1.add(jButtonCalm);
        jButtonCalm.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-angel.png"))); // NOI18N
        jButtonCalm.setText(bundle.getString("TEXT_CALM")); // NOI18N
        jButtonCalm.setToolTipText(bundle.getString("TOOLTIP_CALM")); // NOI18N
        jButtonCalm.setActionCommand(bundle.getString("TEXT_CALM")); // NOI18N
        jButtonCalm.setAlignmentX(0.5F);
        jButtonCalm.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonCalm.setIconTextGap(2);
        jButtonCalm.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonCalm.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonCalm.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonCalm.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonCalm);

        buttonGroup1.add(jButtonRelaxed);
        jButtonRelaxed.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/emotions/face-wink.png"))); // NOI18N
        jButtonRelaxed.setText(bundle.getString("TEXT_RELAXED")); // NOI18N
        jButtonRelaxed.setToolTipText(bundle.getString("TOOLTIP_RELAXED")); // NOI18N
        jButtonRelaxed.setActionCommand(bundle.getString("TEXT_RELAXED")); // NOI18N
        jButtonRelaxed.setAlignmentX(0.5F);
        jButtonRelaxed.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonRelaxed.setIconTextGap(2);
        jButtonRelaxed.setMaximumSize(new java.awt.Dimension(0, 0));
        jButtonRelaxed.setMinimumSize(new java.awt.Dimension(90, 60));
        jButtonRelaxed.setPreferredSize(new java.awt.Dimension(120, 60));
        jButtonRelaxed.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        emotionSelectorPanel.add(jButtonRelaxed);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(emotionSelectorPanel, javax.swing.GroupLayout.DEFAULT_SIZE, 530, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(emotionSelectorPanel, javax.swing.GroupLayout.DEFAULT_SIZE, 182, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroup1;
    protected javax.swing.JPanel emotionSelectorPanel;
    protected javax.swing.JToggleButton jButtonAngry;
    protected javax.swing.JToggleButton jButtonCalm;
    protected javax.swing.JToggleButton jButtonComfortable;
    protected javax.swing.JToggleButton jButtonConfident;
    protected javax.swing.JToggleButton jButtonConfused;
    protected javax.swing.JToggleButton jButtonDepressed;
    protected javax.swing.JToggleButton jButtonHappy;
    protected javax.swing.JToggleButton jButtonIndiferent;
    protected javax.swing.JToggleButton jButtonNeutral;
    protected javax.swing.JToggleButton jButtonRelaxed;
    protected javax.swing.JToggleButton jButtonSatisfied;
    protected javax.swing.JToggleButton jButtonSick;
    protected javax.swing.JToggleButton jButtonStressed;
    protected javax.swing.JToggleButton jButtonTired;
    protected javax.swing.JToggleButton jButtonUncomfortable;
    // End of variables declaration//GEN-END:variables

}
