/*
 * Recon allows monitoring and recording of data stream trough serial port.
 * Copyright (C) 2008-2009  Linas Žvirblis <0x0007@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * MainWindowSketch.java
 *
 * Created on 2008-10-19, 15.00.32
 */

package lt.ku.ik.recon.presentation.gui.widgets;

/**
 *
 * @author linas
 */
public class MainWindowSketch extends javax.swing.JFrame {

    /** Creates new form MainWindowSketch */
    public MainWindowSketch() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        controlButtonGroup = new javax.swing.ButtonGroup();
        toolbar = new javax.swing.JToolBar();
        jButtonStart = new javax.swing.JToggleButton();
        jButtonStop = new javax.swing.JToggleButton();
        jButtonRecord = new javax.swing.JToggleButton();
        jSeparator1 = new javax.swing.JToolBar.Separator();
        jButtonGraph = new javax.swing.JToggleButton();
        jButtonEmotions = new javax.swing.JToggleButton();
        jSeparator3 = new javax.swing.JToolBar.Separator();
        jButtonSettings = new javax.swing.JButton();
        jSeparator4 = new javax.swing.JToolBar.Separator();
        jButtonAbout = new javax.swing.JButton();
        jButtonQuit = new javax.swing.JButton();
        statusPanel = new javax.swing.JPanel();
        statusLabel = new javax.swing.JLabel();
        jSplitPane = new javax.swing.JSplitPane();
        jScrollPaneTop = new javax.swing.JScrollPane();
        jPanelTop = new javax.swing.JPanel();
        jScrollPaneBottom = new javax.swing.JScrollPane();
        jPanelBottom = new javax.swing.JPanel();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenuFile = new javax.swing.JMenu();
        jMenuItemStart = new javax.swing.JMenuItem();
        jMenuItemStop = new javax.swing.JMenuItem();
        jMenuItemRecord = new javax.swing.JMenuItem();
        jSeparator2 = new javax.swing.JSeparator();
        jMenuItemQuit = new javax.swing.JMenuItem();
        jMenuEdit = new javax.swing.JMenu();
        jMenuItemSettings = new javax.swing.JMenuItem();
        jMenuView = new javax.swing.JMenu();
        jMenuItemGraph = new javax.swing.JCheckBoxMenuItem();
        jMenuItemEmotions = new javax.swing.JCheckBoxMenuItem();
        jMenuHelp = new javax.swing.JMenu();
        jMenuItemAbout = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setMinimumSize(new java.awt.Dimension(400, 300));

        toolbar.setFloatable(false);
        toolbar.setRollover(true);

        controlButtonGroup.add(jButtonStart);
        jButtonStart.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/start.png"))); // NOI18N
        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("lt/ku/ik/recon/data/global/Locale"); // NOI18N
        jButtonStart.setText(bundle.getString("TEXT_START")); // NOI18N
        jButtonStart.setFocusable(false);
        jButtonStart.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonStart.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        toolbar.add(jButtonStart);

        controlButtonGroup.add(jButtonStop);
        jButtonStop.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/stop.png"))); // NOI18N
        jButtonStop.setSelected(true);
        jButtonStop.setText(bundle.getString("TEXT_STOP")); // NOI18N
        jButtonStop.setFocusable(false);
        jButtonStop.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonStop.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        toolbar.add(jButtonStop);

        jButtonRecord.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/record.png"))); // NOI18N
        jButtonRecord.setText(bundle.getString("TEXT_RECORD")); // NOI18N
        jButtonRecord.setFocusable(false);
        jButtonRecord.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonRecord.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        toolbar.add(jButtonRecord);
        toolbar.add(jSeparator1);

        jButtonGraph.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/graph.png"))); // NOI18N
        jButtonGraph.setSelected(true);
        jButtonGraph.setText(bundle.getString("TEXT_GRAPH")); // NOI18N
        jButtonGraph.setFocusable(false);
        jButtonGraph.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonGraph.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        toolbar.add(jButtonGraph);

        jButtonEmotions.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/emotions.png"))); // NOI18N
        jButtonEmotions.setSelected(true);
        jButtonEmotions.setText(bundle.getString("TEXT_EMOTIONS")); // NOI18N
        jButtonEmotions.setFocusable(false);
        jButtonEmotions.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonEmotions.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        toolbar.add(jButtonEmotions);
        toolbar.add(jSeparator3);

        jButtonSettings.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/preferences.png"))); // NOI18N
        jButtonSettings.setText(bundle.getString("TEXT_SETTINGS")); // NOI18N
        jButtonSettings.setFocusable(false);
        jButtonSettings.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonSettings.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        toolbar.add(jButtonSettings);
        toolbar.add(jSeparator4);

        jButtonAbout.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/about.png"))); // NOI18N
        jButtonAbout.setText(bundle.getString("TEXT_ABOUT")); // NOI18N
        jButtonAbout.setFocusable(false);
        jButtonAbout.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonAbout.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        toolbar.add(jButtonAbout);

        jButtonQuit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/quit.png"))); // NOI18N
        jButtonQuit.setText(bundle.getString("TEXT_QUIT")); // NOI18N
        jButtonQuit.setFocusable(false);
        jButtonQuit.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButtonQuit.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        toolbar.add(jButtonQuit);

        statusPanel.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        statusLabel.setText(bundle.getString("TEXT_STATUS")); // NOI18N

        javax.swing.GroupLayout statusPanelLayout = new javax.swing.GroupLayout(statusPanel);
        statusPanel.setLayout(statusPanelLayout);
        statusPanelLayout.setHorizontalGroup(
            statusPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(statusPanelLayout.createSequentialGroup()
                .addComponent(statusLabel)
                .addContainerGap(458, Short.MAX_VALUE))
        );
        statusPanelLayout.setVerticalGroup(
            statusPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(statusLabel)
        );

        jSplitPane.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);
        jSplitPane.setResizeWeight(1.0);
        jSplitPane.setAutoscrolls(true);
        jSplitPane.setContinuousLayout(true);

        jScrollPaneTop.setViewportBorder(javax.swing.BorderFactory.createEtchedBorder());

        jPanelTop.setLayout(new javax.swing.BoxLayout(jPanelTop, javax.swing.BoxLayout.PAGE_AXIS));
        jScrollPaneTop.setViewportView(jPanelTop);

        jSplitPane.setLeftComponent(jScrollPaneTop);

        jPanelBottom.setLayout(new java.awt.BorderLayout());
        jScrollPaneBottom.setViewportView(jPanelBottom);

        jSplitPane.setRightComponent(jScrollPaneBottom);

        jMenuFile.setText(bundle.getString("TEXT_FILE")); // NOI18N

        jMenuItemStart.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/start-small.png"))); // NOI18N
        jMenuItemStart.setText(bundle.getString("TEXT_START")); // NOI18N
        jMenuFile.add(jMenuItemStart);

        jMenuItemStop.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/stop-small.png"))); // NOI18N
        jMenuItemStop.setText(bundle.getString("TEXT_STOP")); // NOI18N
        jMenuFile.add(jMenuItemStop);

        jMenuItemRecord.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/record-small.png"))); // NOI18N
        jMenuItemRecord.setText(bundle.getString("TEXT_RECORD")); // NOI18N
        jMenuFile.add(jMenuItemRecord);
        jMenuFile.add(jSeparator2);

        jMenuItemQuit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/quit-small.png"))); // NOI18N
        jMenuItemQuit.setText(bundle.getString("TEXT_QUIT")); // NOI18N
        jMenuFile.add(jMenuItemQuit);

        jMenuBar1.add(jMenuFile);

        jMenuEdit.setText(bundle.getString("TEXT_EDIT")); // NOI18N

        jMenuItemSettings.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/preferences-small.png"))); // NOI18N
        jMenuItemSettings.setText(bundle.getString("TEXT_SETTINGS")); // NOI18N
        jMenuEdit.add(jMenuItemSettings);

        jMenuBar1.add(jMenuEdit);

        jMenuView.setText(bundle.getString("TEXT_VIEW")); // NOI18N

        jMenuItemGraph.setSelected(true);
        jMenuItemGraph.setText(bundle.getString("TEXT_GRAPH")); // NOI18N
        jMenuItemGraph.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/graph-small.png"))); // NOI18N
        jMenuView.add(jMenuItemGraph);

        jMenuItemEmotions.setSelected(true);
        jMenuItemEmotions.setText(bundle.getString("TEXT_EMOTIONS")); // NOI18N
        jMenuItemEmotions.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/emotions-small.png"))); // NOI18N
        jMenuView.add(jMenuItemEmotions);

        jMenuBar1.add(jMenuView);

        jMenuHelp.setText(bundle.getString("TEXT_HELP")); // NOI18N

        jMenuItemAbout.setIcon(new javax.swing.ImageIcon(getClass().getResource("/lt/ku/ik/recon/presentation/gui/images/buttons/about-small.png"))); // NOI18N
        jMenuItemAbout.setText(bundle.getString("TEXT_ABOUT")); // NOI18N
        jMenuHelp.add(jMenuItemAbout);

        jMenuBar1.add(jMenuHelp);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(toolbar, javax.swing.GroupLayout.DEFAULT_SIZE, 474, Short.MAX_VALUE)
            .addComponent(jSplitPane, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 474, Short.MAX_VALUE)
            .addComponent(statusPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(toolbar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSplitPane, javax.swing.GroupLayout.DEFAULT_SIZE, 215, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(statusPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new MainWindowSketch().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.ButtonGroup controlButtonGroup;
    protected javax.swing.JButton jButtonAbout;
    protected javax.swing.JToggleButton jButtonEmotions;
    protected javax.swing.JToggleButton jButtonGraph;
    protected javax.swing.JButton jButtonQuit;
    protected javax.swing.JToggleButton jButtonRecord;
    protected javax.swing.JButton jButtonSettings;
    protected javax.swing.JToggleButton jButtonStart;
    protected javax.swing.JToggleButton jButtonStop;
    protected javax.swing.JMenuBar jMenuBar1;
    protected javax.swing.JMenu jMenuEdit;
    protected javax.swing.JMenu jMenuFile;
    protected javax.swing.JMenu jMenuHelp;
    protected javax.swing.JMenuItem jMenuItemAbout;
    protected javax.swing.JCheckBoxMenuItem jMenuItemEmotions;
    protected javax.swing.JCheckBoxMenuItem jMenuItemGraph;
    protected javax.swing.JMenuItem jMenuItemQuit;
    protected javax.swing.JMenuItem jMenuItemRecord;
    protected javax.swing.JMenuItem jMenuItemSettings;
    protected javax.swing.JMenuItem jMenuItemStart;
    protected javax.swing.JMenuItem jMenuItemStop;
    protected javax.swing.JMenu jMenuView;
    protected javax.swing.JPanel jPanelBottom;
    protected javax.swing.JPanel jPanelTop;
    protected javax.swing.JScrollPane jScrollPaneBottom;
    protected javax.swing.JScrollPane jScrollPaneTop;
    protected javax.swing.JToolBar.Separator jSeparator1;
    protected javax.swing.JSeparator jSeparator2;
    protected javax.swing.JToolBar.Separator jSeparator3;
    protected javax.swing.JToolBar.Separator jSeparator4;
    protected javax.swing.JSplitPane jSplitPane;
    protected javax.swing.JLabel statusLabel;
    protected javax.swing.JPanel statusPanel;
    protected javax.swing.JToolBar toolbar;
    // End of variables declaration//GEN-END:variables

}
